ATA_EXEC_INTERNAL(9)

NAME
ata_exec_internal - execute libata internal command

SYNOPSIS

unsigned ata_exec_internal(struct ata_device * dev, struct ata_taskfile * tf, const u8 * cdb, int dma_dir, void * buf, unsigned int buflen, unsigned long timeout);

ARGUMENTS

dev
    Device to which the command is sent

tf
    Taskfile registers for the command and the result

cdb
    CDB for packet command

dma_dir
    Data transfer direction of the command

buf
    Data buffer of the command

buflen
    Length of data buffer

timeout
    Timeout in msecs (0 for default)

DESCRIPTION

Wrapper around ata_exec_internal_sg which takes simple buffer instead of sg list.

LOCKING

None. Should be called with kernel context, might sleep.

RETURNS

Zero on success, AC_ERR_* mask on failure

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT